Bug 1123727 (CVE-2010-1870) - CVE-2010-1870 Apache Struts2/WebWorks/XWork: ParameterInterceptors bypass allows remote command execution
Summary: CVE-2010-1870 Apache Struts2/WebWorks/XWork: ParameterInterceptors bypass all...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2010-1870
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20100725,repor...
Depends On:
Blocks: 1123737
TreeView+ depends on / blocked
 
Reported: 2014-07-28 06:43 UTC by Arun Babu Neelicattu
Modified: 2019-06-08 20:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-10 00:50:09 UTC


Attachments (Terms of Use)

Description Arun Babu Neelicattu 2014-07-28 06:43:14 UTC
It was discovered that the OGNL extensive expression evaluation capability in XWork in Struts 2.0.0 through 2.1.8.1, as used in Atlassian Fisheye, Crucible, and possibly other products, uses a permissive whitelist, which allows remote attackers to modify server-side context objects and bypass the "#" protection mechanism in ParameterInterceptors via the (1) #context, (2) #_memberAccess, (3) #root, (4) #this, (5) #_typeResolver, (6) #_classResolver, (7) #_traceEvaluations, (8) #_lastEvaluation, (9) #_keepLastEvaluation, and possibly other OGNL context variables, a different vulnerability than CVE-2008-6504.

References:

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2010-1870
http://struts.apache.org/release/2.2.x/docs/s2-005.html
https://github.com/victims/victims-cve-db/blob/master/database/java/2010/1870.yaml

Comment 1 Pavel Polischouk 2014-10-10 00:50:09 UTC
Statement:

The issue does not affect any Red Hat products as no products ship Struts2/XWork binaries.


Note You need to log in before you can comment on or make changes to this bug.